package com.railway.business.push.enums;

/**
 * 推送类型
 *
 * @author ZhaoMn
 */
public enum PushTypeEnum {

  /**
   * 检测表类型
   */
  JCEB_Gjsfx("gjsfx", "关节式分相"),
  JCEB_Jddz("jddz", "接地电阻"),
  JCEB_Jyzqsjl("jyzqsjl", "绝缘子清扫记录"),
  JCEB_Lbjghjl("lbjghjl", "零部件更换记录"),
  JCEB_Qmjcjl("qmjcjl", "全面检查记录"),
  JCEB_Xsjcjl("xsjcjl", "巡视检查记录"),

  /**
   * 检测表类型
   */
  JCAB_Blq("blq", "避雷器"),
  JCAB_Dmcgyq("dmcgyq", "地面磁感应器"),
  JCAB_Fdfxjyq("fdfxjyq", "dxf分选绝缘器"),
  JCAB_Glkg("glkg", "隔离开关"),
  JCAB_Jcxc("jcxc", "交叉线岔"),
  JCAB_Wjcxc("wjcxc", "无交叉线岔"),

  /**
   * 安全工具
   */
  SAFE_TOOL_SJ("experimentStart", "送检记录"),
  SAFE_TOOL_JY("experimentEnd", "检验完成"),
  ;

  private final String code;
  private final String info;

  PushTypeEnum(String code, String info) {
    this.code = code;
    this.info = info;
  }

  public String getCode() {
    return code;
  }

  public String getInfo() {
    return info;
  }
}
